<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmployeeInfosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('employee_infos', function (Blueprint $table) {
            $table->Increments('id')->from(111)->unsigned();
            $table->string('uid')->nullable();
            $table->string('user_id')->nullable();
            $table->string('name')->nullable();
            $table->string('role')->nullable();
            $table->string('password')->nullable();
            $table->string('card_no')->nullable();
            $table->string('device_serial_number')->nullable();
            $table->timestamps();
            $table->softDeletes();


        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('employee_infos');
    }
}
